Subject: bug#16292: closed (Re: 24.3.50; info docs now contain single straight quotes instead of `')

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 30 Dec 2013 03:24:02 +0000

Your bug report

#16292: 24.3.50; info docs now contain single straight quotes instead of `'

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16292: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16292
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: 24.3.50; info docs now contain single straight quotes instead of `'
From: Paul Eggert <[email-masked]>
To: [email-masked]
Date: Sun, 29 Dec 2013 19:23:32 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Apparently the problem is that some of Emacs's .texi files
contain @documentencoding directives and generate curly quotes,
while others don't and generate straight quotes.  It's better to
be consistent, and curly quotes seem more useful, so I installed
a patch to do that as trunk bzr 115807.  I assume this fixes the
bug and so am closing this bug report; if it's not fixed please
let me know.

Subject: 24.3.50; info docs now contain single straight quotes instead of `'
From: Gregor Zattler <[email-masked]>
To: [email-masked]
Date: Sun, 29 Dec 2013 23:08:10 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear emacs developers,

when I do a `make docs' the generated info files do not contain
`' -quotes any more but '' -quotes.

This breaks e.g. info+ fontification (a very helpful feature).

Reason is makeinfo >=5 produces either single straight quotes for
info files or single curly ones, depending on the document
encoding:

(from makeinfo maunal:)
   'OPEN_QUOTE_SYMBOL'
        When an opening quote is needed, e.g., for '@samp' output, use the
        specified character; default '&lsquo;' for HTML, '&#8216;' for
        Docbook.  For Info, the default depends on the enabled document
        encoding (*note @documentencoding::); if no document encoding
        is set, or the encoding is US-ASCII, etc., ''' is used.
        This character usually appears as an undirected single quote
        on modern systems.  If the document encoding is Unicode, the
        Info output uses a Unicode left quote.
   [...]

(from makeinfo maunal:)     
   17.2 '@documentencoding ENC': Set Input Encoding
   ================================================
   
   The '@documentencoding' command declares the input document encoding.
   Write it on a line by itself, with a valid encoding specification
   following, near the beginning of the file but after '@setfilename'
   (*note @setfilename::):
   
        @documentencoding ENC
   
     At present, Texinfo supports only these encodings:
   
   'US-ASCII'
        This has no particular effect, but it's included for completeness.
   
   'UTF-8'
        The vast global character encoding, expressed in 8-bit bytes.
   
   'ISO-8859-2'
   'ISO-8859-1'
   'ISO-8859-15'
   [...]

Searching texinfos mailing list archives showed that this was
discussed roughly two years before and that it is the result of a
decision to go the same way as the rest of the world which
interprets ` as grave accent:

http://article.gmane.org/gmane.comp.tex.texinfo.bugs/5526/match=single+quotes :

|> For the record, RFC20 says the meaning of character 0x60 is
|> EITHER "grave accent" OR "opening single quotation mark".  It
|> then says this character ".. should not be used without
|> determining that there is agreement between sender and recipient"

I think it's highly desirable to be able to tell beginning and
closing of enclosing characters apart.  Therefore I consider the
info files single straight quotes a bug.  I assume there is a way
to produce `' quotations with modern makeinfo or the *.texi files
should have @documentencoding directives which produce single
curly quotes.

Thanks for your attention, Gregor